<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.15" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structwiced__bt__avdt__reg__t" kind="struct" language="C++" prot="public">
    <compoundname>wiced_bt_avdt_reg_t</compoundname>
    <includes local="no">wiced_bt_avdt.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structwiced__bt__avdt__reg__t_1a45f5544647402d30d2cf7c4b49191ffc" kind="variable" mutable="no" prot="public" static="no">
        <type>uint16_t</type>
        <definition>uint16_t wiced_bt_avdt_reg_t::ctrl_mtu</definition>
        <argsstring />
        <name>ctrl_mtu</name>
        <briefdescription>
<para>L2CAP MTU of the AVDTP signaling channel. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_avdt.h" bodystart="356" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_avdt.h" line="356" />
      </memberdef>
      <memberdef id="structwiced__bt__avdt__reg__t_1abceffca6896956b8b69c225dc539ca53" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t wiced_bt_avdt_reg_t::ret_tout</definition>
        <argsstring />
        <name>ret_tout</name>
        <briefdescription>
<para>AVDTP signaling retransmission timeout. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_avdt.h" bodystart="357" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_avdt.h" line="357" />
      </memberdef>
      <memberdef id="structwiced__bt__avdt__reg__t_1a7e87517629045e72860c747a99bfa0e1" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t wiced_bt_avdt_reg_t::sig_tout</definition>
        <argsstring />
        <name>sig_tout</name>
        <briefdescription>
<para>AVDTP signaling message timeout. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_avdt.h" bodystart="358" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_avdt.h" line="358" />
      </memberdef>
      <memberdef id="structwiced__bt__avdt__reg__t_1a224fc46b21fe581dbfa68e65431f2fdf" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t wiced_bt_avdt_reg_t::idle_tout</definition>
        <argsstring />
        <name>idle_tout</name>
        <briefdescription>
<para>AVDTP idle signaling channel timeout. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_avdt.h" bodystart="359" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_avdt.h" line="359" />
      </memberdef>
      <memberdef id="structwiced__bt__avdt__reg__t_1acedd4b64cbdf98e0197e2b988eb36896" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t wiced_bt_avdt_reg_t::sec_mask</definition>
        <argsstring />
        <name>sec_mask</name>
        <briefdescription>
<para>Security mask (not used on WICED platforms: security is configured using wiced_bt_cfg) </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_avdt.h" bodystart="360" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_avdt.h" line="360" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>AVDT subsytem configuration. </para>
    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <location bodyend="361" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_avdt.h" bodystart="355" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_avdt.h" line="355" />
    <listofallmembers>
      <member prot="public" refid="structwiced__bt__avdt__reg__t_1a45f5544647402d30d2cf7c4b49191ffc" virt="non-virtual"><scope>wiced_bt_avdt_reg_t</scope><name>ctrl_mtu</name></member>
      <member prot="public" refid="structwiced__bt__avdt__reg__t_1a224fc46b21fe581dbfa68e65431f2fdf" virt="non-virtual"><scope>wiced_bt_avdt_reg_t</scope><name>idle_tout</name></member>
      <member prot="public" refid="structwiced__bt__avdt__reg__t_1abceffca6896956b8b69c225dc539ca53" virt="non-virtual"><scope>wiced_bt_avdt_reg_t</scope><name>ret_tout</name></member>
      <member prot="public" refid="structwiced__bt__avdt__reg__t_1acedd4b64cbdf98e0197e2b988eb36896" virt="non-virtual"><scope>wiced_bt_avdt_reg_t</scope><name>sec_mask</name></member>
      <member prot="public" refid="structwiced__bt__avdt__reg__t_1a7e87517629045e72860c747a99bfa0e1" virt="non-virtual"><scope>wiced_bt_avdt_reg_t</scope><name>sig_tout</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>